import styled from 'styled-components';

const css = styled.div;

export default css<any>`
   position: relative;
   opacity: 0;
   transition: 0.2s all;
   ${(props) => props.visible && props.durationIn && `transition: ${props.durationIn}ms all;`}
   ${(props) => !props.visible && props.durationOut && `transition: ${props.durationOut}ms all;`}
   ${(props) => (props.visible ? 'opacity: 1.0;' : 'opacity: 0.0;')}
`;
