import React from 'react';
import { IAnimationInOutProps } from './AnimationInOut.interface';
import AnimationInOutStyle from './AnimationInOut.style';

export function AnimationInOut({ visible, children, durationIn, durationOut }: IAnimationInOutProps): JSX.Element {
   return (
      <AnimationInOutStyle visible={visible} durationIn={durationIn} durationOut={durationOut}>
         {children}
      </AnimationInOutStyle>
   );
}
